[arch-commits] Commit in gnome-python-extras/repos (2 files)

Jan de Groot jgc at archlinux.org
Sat Apr 11 16:45:39 EDT 2009


    Date: Saturday, April 11, 2009 @ 16:45:38
  Author: jgc
Revision: 35282

Merged revisions 35281 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gnome-python-extras/trunk

........
  r35281 | jgc | 2009-04-11 20:45:27 +0000 (Sat, 11 Apr 2009) | 1 line
  
  upgpkg: gnome-python-extras 2.25.3-1
........

Modified:
  gnome-python-extras/repos/extra-x86_64/	(properties)
  gnome-python-extras/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)


Property changes on: gnome-python-extras/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnome-python-extras/trunk:1-16974
   + /gnome-python-extras/trunk:1-35281

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-11 20:45:27 UTC (rev 35281)
+++ extra-x86_64/PKGBUILD	2009-04-11 20:45:38 UTC (rev 35282)
@@ -2,28 +2,22 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-python-extras
-pkgver=2.19.1
-pkgrel=3
+pkgver=2.25.3
+pkgrel=1
 pkgdesc="Gnome Python interfaces for libraries not part of the core platform"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 depends=('gnome-python>=2.22.1')
-makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner>=1.9' 'libgksu' 'pkgconfig')
+makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner>=1.9' 'libgksu' 'pkgconfig' 'libgnomeui' 'libgda')
+optdepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner' 'libgksu' 'libgnomeui' 'libgda')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.19/gnome-python-extras-${pkgver}.tar.bz2
-	gnome-python-extras-2.19.1-pkg-config.patch
-	gnome-python-extras-2.19.1-xulrunner.patch)
+source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.25/gnome-python-extras-${pkgver}.tar.bz2)
 url="http://www.daa.com.au/~james/pygtk/"
-md5sums=('08896c63d71ce44d20fafbaf9c0edc78'
-         'be993cc1e60c090c58db8317a1862213'
-         '73657335e522f361d08ccc4899d279d6')
+md5sums=('9f3b7ec5c57130b96061cb486b79c076')
 
 build() {
-  cd ${startdir}/src/gnome-python-extras-${pkgver}
-  patch -Np1 -i ${srcdir}/gnome-python-extras-2.19.1-pkg-config.patch || return 1
-  patch -Np1 -i ${srcdir}/gnome-python-extras-2.19.1-xulrunner.patch || return 1
-  sed -i "s|#include <gdl/gdl-icons.h>||" gdl/gdl.override || return 1
-  ./configure --prefix=/usr --with-gtkmozembed=xulrunner || return 1
+  cd "${srcdir}/gnome-python-extras-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make MOZILLA_HOME=/usr/lib/xulrunner-1.9 || return 1 
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list